%define oname gmyth-upnp

Summary: UPNP plugin for gmyth
Name: libgmyth-upnp
Version: 0.7.1
Release: alt2
License: LGPLv2+
Group: System/Libraries
Url: http://gmyth.sf.net
Packager: Alexey Shaballin <shaba@altlinux.ru>

Source: http://downloads.sourceforge.net/%oname/%oname-%version.tar.gz
Patch: gmyth-upnp-0.7.1-alt-makefile.patch
Patch2: gmyth-upnp-remove-warning.patch

BuildPreReq: glib2-devel libgmyth-devel libupnp-devel

%description
GMyth is a library used by applications to access content provided by the
MythTV set-top box framework, such as Live TV broadcasts, TV recordings, or
TV listings.

This package provides a plugin for autodetecting Myth backends via UPNP

%package devel
Summary: Development libraries for GMyth-UPNP
Group: Development/C
Requires: %name = %version-%release

%description devel
Development libraries and headers for the GMyth-UPNP library.

%prep
%setup -q -n %oname-%version
%patch -p1
%patch2 -p0

%build
%autoreconf
%configure --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Mon Nov 09 2009 Alexey Shabalin <shaba@altlinux.ru> 0.7.1-alt2
- drop deprecated post_ldconfig

* Sat Oct 11 2008 Alexey Shabalin <shaba@altlinux.ru> 0.7.1-alt1
- initial build for ALTLinux

